package com.hw.ems.base.service;



import com.hw.ems.base.domain.BasePublicUser;
import com.hw.ems.base.domain.vo.MonitorVo;
import com.hw.ems.base.domain.vo.PublicManageVo;

import java.math.BigDecimal;
import java.util.List;

/**
 * 公摊用户Service接口
 *
 * @author yangwl
 * @date 2023-04-24
 */
public interface IBasePublicUserService
{
    /**
     * 查询公摊用户
     *
     * @param id 公摊用户主键
     * @return 公摊用户
     */
    public BasePublicUser selectBasePublicUserById(Long id);

    /**
     * 查询公摊用户列表
     *
     * @param basePublicUser 公摊用户
     * @return 公摊用户集合
     */
    public List<BasePublicUser> selectBasePublicUserList(BasePublicUser basePublicUser);

    /**
     * 新增公摊用户
     *
     * @param basePublicUser 公摊用户
     * @return 结果
     */
    public int insertBasePublicUser(BasePublicUser basePublicUser);

    /**
     * 修改公摊用户
     *
     * @param basePublicUser 公摊用户
     * @return 结果
     */
    public int updateBasePublicUser(BasePublicUser basePublicUser);

    /**
     * 批量删除公摊用户
     *
     * @param ids 需要删除的公摊用户主键集合
     * @return 结果
     */
    public int deleteBasePublicUserByIds(String ids);

    /**
     * 删除公摊用户信息
     *
     * @param id 公摊用户主键
     * @return 结果
     */
    public int deleteBasePublicUserById(Long id);

    List<MonitorVo> selectlistChild(Long id);

    List<BasePublicUser> selectPublicUserList(PublicManageVo publicManageVo, BigDecimal sumPublicExpend);
}
